import java.util.Scanner; 

public class TestDoWhile {
  /** Metoda main */
  public static void main(String[] args) {
    int data;
    int sum = 0;

    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);

    // Wczytywanie danych do czasu natrafienia na 0
    do {
      // Wczytywanie następnych danych
      System.out.print(
        "Wpisz liczbę całkowitą (0 kończy wprowadzanie danych): ");
      data = input.nextInt();

      sum += data;
    } while (data != 0);

    System.out.println("Suma wynosi " + sum);
  }
}